#!/bin/csh
# instala las impresoras lwific2, lwific3 y lwific5
# en sistemas con linux 
# se asume que o tienen redhat 5.1 o slackware
#
  test -f /usr/X11R6/include/X11/pixmaps/rhpenguin.xpm -o -f /usr/share/pixmaps/redhat/rpmlogo-32.png
  if ( ! $status ) then 
     test -d /var/spool/lpd/lwific3
     if ( ! $status ) then 
        echo "ya esta instalado"
        exit 0
     endif
     echo "Redhat 5.1"
     cat - >> /etc/printcap <<EOF
##PRINTTOOL3## REMOTE POSTSCRIPT 600x600 a4 {} PostScript Default {}
lwific3:\
	:sd=/var/spool/lpd/lwific3:\
	:mx#0:\
	:sh:\
	:rm=evalm0:\
	:rp=lwific3:\
	:if=/var/spool/lpd/lwific3/filter:
##PRINTTOOL3## REMOTE POSTSCRIPT 600x600 a4 {} PostScript Default {}
lwific4:\
	:sd=/var/spool/lpd/lwific4:\
	:mx#0:\
	:sh:\
	:rm=evalm0:\
	:rp=lwific4:\
	:if=/var/spool/lpd/lwific4/filter:
##PRINTTOOL3## REMOTE POSTSCRIPT 600x600 a4 {} PostScript Default {}
lwific5:\
	:sd=/var/spool/lpd/lwific5:\
	:mx#0:\
	:sh:\
	:rm=evalm0:\
	:rp=lwific5:\
	:if=/var/spool/lpd/lwific5/filter:

EOF
     tar -xvz -C / -f lwific_rdh.tgz
     echo "Instalado"
  else
     test -d /usr/spool/lwific3
     if ( ! $status ) then 
        echo "ya esta instalado"
        exit 0
     endif
     echo "Slackware"
     cat - >> /etc/printcap <<EOF

lwific3:\
	:lf=/dev/console:\
	:lp=:\
        :mx#0:\
	:rm=evalm0:\
	:rp=lwific3:\
	:sd=/usr/spool/lwific3:

lwific4:\
	:lf=/dev/console:\
	:lp=:\
        :mx#0:\
	:rm=evalm0:\
	:rp=lwific3:\
	:sd=/usr/spool/lwific4:

lwific5:\
	:lf=/dev/console:\
	:lp=:\
        :mx#0:\
	:rm=evalm0:\
	:rp=lwific3:\
	:sd=/usr/spool/lwific5:

EOF
     tar -xvz -C / -f lwific_slk.tgz
     echo "Instalado"
  endif
#
#EOF
